Subject: Re: Recently removed io accessors

From: Peter Korsgaard <[email-masked]>
Date: Mon, 16 Oct 2006 20:54:10 +0200

>>>>> "LV" == Linas Vepstas <[email-masked]> writes:

Hi,

>> It doesn't have to be readw (16bit accesses). Enabling the BE mode
>> and using _outsl/_insl (32bit access with byteswap) works fine.

LV> I think Paul was trrying to say that it might be easier just to
LV> 16-bit words. Are you trying to use 32-bit access due to
LV> performance concerns?

Yes, this is the hot path of the driver as I don't have DMA hardware
(copy to/from packet buffer).

Another reason is that the same driver is used for the entire 911x
series, some which have an 16bit interface and others with full 32bit.

-- 
Bye, Peter Korsgaard